$!
$!  This procedure finds the maximum user code
$!  in the DBDB.
$!
$ ingres -s dbdb
/*  
	The following is a list of the users in the
	DBDB, sorted descending by user code.
*/
\p
range of u is user
retrieve (username=u.name, usercode=u.code)
	sort by usercode:d
\g
/*
	Now, list the maximum user code only
*/
\p
retrieve (maxcode = max(u.code))
\g
