      SUBROUTINE RTISYM(XPAGE,YPAGE,HEIGH,IBCD,ANGLE,NCHAR)
C  RTI SUBROUTINE TO CALL SUBROUTINE 'SYMBOL' IN THE HEWLETT-
C  PACKARD INDUSTRY STANDARD PLOTTING PACKAGE.
C     PARAMETERS:
C  XPAGE,YPAGE --- COORDINATES IN FLOATING POINT INCHES 
C  HEIGH --- HEIGHT OF THE CHARACATERS IN FLOATING POINT INCHES
C  LARAY --- ARRAY CONTAINING CHARACTERS TO BE DRAWN
C  ANGLE --- ANGLE OF ROTATION OF THE TEXT
C  NCHAR --- NUMBER OF CHARACTERS IN LARAY TO BE DRAWN.
C
      CALL SYMBOL(XPAGE,YPAGE,HEIGH,IBCD,ANGLE,NCHAR)      
      RETURN
      END
 


      SUBROUTINE RTIPLT(XPAG,YPAG,IPN)
C  RTI SUBROUTINE TO CALL SUBROUTINE 'PLOT' IN HP PACKAGE.
C     PARAMETERS:
C  XPAG,YPAG  --- COORDINATES OF POINT IN FLOATING POINT INCHES
C  IPN --- PEN CONTROL (3=PEN UP,2=PEN DOWN,-2 OR -3=RESET ORIGIN)
C
       CALL PLOT(XPAG,YPAG,IPN)
      RETURN
      END



      SUBROUTINE RTIPTS(IDEV)
C  RTI SUBROUTINE TO CALL SUBROUTINE 'PLOTS' IN HP PACKAGE
C     PARAMETERS:
C  IDEV --- FORTRAN UNIT NUMBER
C   
      INTEGER IDUM        
      CALL HPINIT(1,0,0,0,6)   ! 1=ALTERNATE HANDSHAKE METHOD
                                  ! 0=NO MONITOR MODE
                                  ! 0=ALTERNATE CHARACTER SET
                                  ! 0=NO MONITOR MODE DESIRED 
                                  ! IDEV=FORTRAN UNIT NUMBER
                                  ! (SEE HP MANUAL)
      CALL FACTOR(1.0) ! SIZE ADJUSTMENT
      IDUM = 0  ! DUMMY VARIABLE DOESNT MATTER WHAT VALUE
      CALL PLOTS(IDUM,IDUM,IDEV)
 300  CONTINUE
 400  CONTINUE
      RETURN
      END


      SUBROUTINE RTIPEN(IPEN)
C  RTI SUBROUTINE TO CHANGE PENS ON PLOTTER
C  RTI SUBROUTINE TO CALL SUBROUTINE PEN IN HP PACKAGE
C  PARAMETER: 
C    IPEN --- PEN NUMBER
      CALL NEWPEN(IPEN)
      RETURN
      END


      SUBROUTINE RTION
C  THIS SUBROUTINE NOT NEEDED WITH HP PLOTTER, SINCE IT USES RITPTS.
      RETURN
      END


      SUBROUTINE RTIEND
C  RTI SUBROUTINE TO CALL HP PLOTTER
C  CALL PLOT (TO TURN OFF) IN HPGL ISPP PACKAGE 
      CALL PLOT(0.0,0.0,999)
      RETURN
      END
